Subject: Re: [PATCH v6 net-next 00/10] qed: introduce devlink health support

From: Jesse Brandeburg <[email-masked]>
Date: Fri, 21 Aug 2020 12:54:10 -0700

Igor Russkikh wrote:

> This is a followup implementation after series
> 
> https://patchwork.ozlabs.org/project/netdev/cover/[email-masked]/
> 
> This is an implementation of devlink health infrastructure.
> 
> With this we are now able to report HW errors to devlink, and it'll take
> its own actions depending on user configuration to capture and store the
> dump at the bad moment, and to request the driver to recover the device.
> 
> So far we do not differentiate global device failures or specific PCI
> function failures. This means that some errors specific to one physical
> function will affect an entire device. This is not yet fully designed
> and verified, will followup in future.
> 
> Solution was verified with artificial HW errors generated, existing
> tools for dump analysis could be used.
> 
> v6: patch 4: changing serial to board.serial and fw to fw.app
> v5: improved patch 4 description
> v4:
>  - commit message and other fixes after Jiri's comments
>  - removed one patch (will send to net)
> v3: fix uninit var usage in patch 11
> v2: fix #include issue from kbuild test robot.
> 

I think you're really close, please address the two patches I had
comments on and then I'd say you can add my Reviewed-by.